<div class="container-fluid "> 
	<div class="row fixed-top ">
		<div class="col-12 ">
			<nav class="navbar navbar-expand-lg navbar-light bg-light m-0">
				<a class="navbar-brand" href="#">MyCartAngular</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<ul class="navbar-nav mx-auto">
						<li class="nav-item active px-3">
							<a class="nav-link" routerLink="/products">Home <span class="sr-only">(current)</span></a>
						</li>
						<!-- <li class="nav-item px-3">
							<a class="nav-link"  routerLink="/products">Product</a>
						</li> -->
						<li class="nav-item px-3">
							<a class="nav-link"  routerLink="/cart">Cart</a>
						</li>
					</ul>
					<form class="form-inline my-2 my-lg-0 pr-2 w-50">
						<input class="form-control w-75" type="search" placeholder="Search" aria-label="Search">
						<button class="btn btn-outline-success my-2 my-sm-0 ml-2" type="submit">Search</button>
					</form>
					<ul class="navbar-nav mx-auto">
						<li class="nav-item px-2">
							<a class="nav-link text-white bg-success btn-sm"  routerLink="/login" *ngIf="logView == false">LogIn</a>
						</li>
						<li class="nav-item  px-2">
							<a class="nav-link text-white bg-success btn-sm"  routerLink="/signup" *ngIf="logView == false">SignUp</a>
						</li>
						<li class="nav-item ">
							<a class="nav-link text-white bg-success btn-sm"  routerLink="/login" *ngIf="logView == true" (click)="logoutFunc()">Logout</a>
						</li>
					</ul>
					<div class="col-1 m-auto" *ngIf="logView == true">
						<app-mini-cart></app-mini-cart>
					</div>
				</div>
			</nav>
		</div>
	</div>
	<div class="row pt-5 mt-2"></div>
	<div class="row">
		<div class="col-12">
			<router-outlet></router-outlet>
		</div>
	</div>
</div>